import { Component } from '@angular/core';

@Component({
  selector: 'app-history-product',
  templateUrl: './history-product.component.html',
  styleUrls: ['./history-product.component.scss']
})
export class HistoryProductComponent {
  transaction: any[] = [];

  constructor() {}
  ngOnInit(): void {
    this.transaction = [
      {
        borrow_date: '2025-03-10',
        borrow_name: 'John Doe',
        product_id: 'P101',
        borrow_id: 'B202301',
        borrow_amount: 2,
        class: 'success', // หรือ 'danger', 'warning' เพื่อกำหนดสี badge
        borrow_status: 'Approved',
        borrow: 'Completed'
      },
      {
        borrow_date: '2025-03-11',
        borrow_name: 'Jane Smith',
        product_id: 'P102',
        borrow_id: 'B202302',
        borrow_amount: 5,
        class: 'warning',
        borrow_status: 'Pending',
        borrow: 'In Progress'
      },
      {
        borrow_date: '2025-03-12',
        borrow_name: 'Alice Johnson',
        product_id: 'P103',
        borrow_id: 'B202303',
        borrow_amount: 1,
        class: 'danger',
        borrow_status: 'Rejected',
        borrow: 'Cancelled'
      }
    ];

}
}
