import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { EmployeeComponent } from './employee.component';
import { HomeEmployeeComponent } from './home-employee/home-employee.component';
import { BorrowProductEmpComponent } from './borrow-product-emp/borrow-product-emp.component';
import { HistoryEmpComponent } from './history-emp/history-emp.component';
import { EmpInformationComponent } from './emp-information/emp-information.component';
import { ReturnProductEmpComponent } from './return-product-emp/return-product-emp.component';
import { EmployeeRoutingModule } from './employee.routing';

@NgModule({
  imports: [
    CommonModule,
    EmployeeRoutingModule
  ],
  declarations: [EmployeeComponent, HomeEmployeeComponent, BorrowProductEmpComponent, HistoryEmpComponent, EmpInformationComponent, ReturnProductEmpComponent]
})
export class EmployeeModule { }
