import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { HomeEmployeeComponent } from './home-employee/home-employee.component';
import { BorrowProductEmpComponent } from './borrow-product-emp/borrow-product-emp.component';
import { EmpInformationComponent } from './emp-information/emp-information.component';
import { HistoryEmpComponent } from './history-emp/history-emp.component';
import { ReturnProductEmpComponent } from './return-product-emp/return-product-emp.component';

const routes: Routes = [
  {
    path: "employee",
    children: [
      { path: "home", component: HomeEmployeeComponent },
      { path: "emp-infomation", component: EmpInformationComponent },
      { path: "borrow-emp", component: BorrowProductEmpComponent },
      { path: "return-emp", component: ReturnProductEmpComponent },
      { path: "history-emp", component: HistoryEmpComponent },

    ]
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class EmployeeRoutingModule { }
