export class UserProfileModel {
  user_id?: string;
  first_name: string;
  last_name: string;
  picture: string;
  phone: string = "-";
  position: string = "-";
  email: string;
  password: string;
  role: string = "employee";
  constructor(
    data?: Partial<UserProfileModel>
  ) {
    this.user_id = data?.user_id!;
    this.first_name = data?.first_name!
    this.last_name = data?.last_name!
    this.picture = data?.picture!
    this.phone = data?.phone ? data.phone : this.phone
    this.email = data?.email!
    this.position = data?.position ? data.position : this.position
    this.password = data?.password!
    this.role = data?.role ? data.role : this.role
  }
}
