const express = require('express');
const router = express.Router();
const ctrl = require('../controllers/borrowTransactionController');

// CREATE (ยืม)
router.post('/', ctrl.createBorrowTransaction);

// UPDATE (เช่น คืนอุปกรณ์ หรือเปลี่ยนสถานะ)
router.put('/:id', ctrl.updateBorrowTransaction);

// GET ALL
router.get('/', ctrl.getAllBorrowTransactions);

// GET ONE
router.get('/:id', ctrl.getBorrowTransactionById);

// DELETE
router.delete('/:id', ctrl.deleteBorrowTransaction);

module.exports = router;
